KTextEditor::Document Class Referenceabstract

`#include <document.h>`

Inheritance diagram for KTextEditor::Document:

## Public Member Functions

| Document (QObject *parent=0, const char *name=0)
unsigned int | documentNumber () const
QCString | documentDCOPSuffix () const
virtual class View * | createView (QWidget *parent, const char *name=0)=0
virtual QPtrList< class View > | views () const =0
Public Member Functions inherited from KTextEditor::Editor
| Editor (QObject *parent=0, const char *name=0)
unsigned int | editorNumber () const
Public Member Functions inherited from KParts::ReadWritePart
| ReadWritePart (QObject *parent=0, const char *name=0)
bool | isReadWrite () const
virtual void | setReadWrite (bool readwrite=true)
bool | isModified () const
bool | queryClose ()
virtual bool | closeURL ()
bool | closeURL (bool promptToSave)
virtual bool | saveAs (const KURL &url)
virtual void | setModified (bool modified)
Public Member Functions inherited from KParts::ReadOnlyPart
| ReadOnlyPart (QObject *parent=0, const char *name=0)
void | setProgressInfoEnabled (bool show)
bool | isProgressInfoEnabled () const
KURL | url () const
bool | openStream (const QString &mimeType, const KURL &url)
bool | writeStream (const QByteArray &data)
bool | closeStream ()
Public Member Functions inherited from KParts::Part
| Part (QObject *parent=0, const char *name=0)
virtual void | embed (QWidget *parentWidget)
virtual QWidget * | widget ()
PartManager * | manager () const
virtual Part * | hitTest (QWidget *widget, const QPoint &globalPos)
virtual void | setSelectable (bool selectable)
bool | isSelectable () const

## Friends

class | PrivateDocument

## Additional Inherited Members

Public Slots inherited from KParts::ReadWritePart
virtual void | setModified ()
virtual bool | save ()
bool | waitSaveComplete ()
Public Slots inherited from KParts::ReadOnlyPart
virtual bool | openURL (const KURL &url)
Signals inherited from KParts::ReadWritePart
void | sigQueryClose (bool *handled, bool *abortClosing)
Signals inherited from KParts::ReadOnlyPart
void | started (KIO::Job *)
void | completed ()
void | completed (bool pendingAction)
void | canceled (const QString &errMsg)
Signals inherited from KParts::Part
void | setWindowCaption (const QString &caption)
void | setStatusBarText (const QString &text)
Protected Member Functions inherited from KParts::ReadWritePart
virtual bool | saveFile ()=0
virtual bool | saveToURL ()
Protected Member Functions inherited from KParts::ReadOnlyPart
virtual bool | openFile ()=0
virtual void | guiActivateEvent (GUIActivateEvent *event)
Protected Member Functions inherited from KParts::Part
virtual void | setWidget (QWidget *widget)
virtual void | partActivateEvent (PartActivateEvent *event)
virtual void | partSelectEvent (PartSelectEvent *event)
QWidget * | hostContainer (const QString &containerName)
Protected Attributes inherited from KParts::ReadOnlyPart
KURL | m_url
QString | m_file
bool | m_bTemp

## Detailed Description

The main class representing a text document.

This class provides access to the document's views.

Definition at line 31 of file document.h.

## Member Function Documentation

virtual class View* KTextEditor::Document::createView | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

pure virtual

Create a view that will display the document data.

You can create as many views as you like. When the user modifies data in one view then all other views will be updated as well.

QCString Document::documentDCOPSuffix | ( |  | ) | const

Returns this document's DCOP suffix for identifiying its DCOP interface.

Definition at line 124 of file ktexteditor.cpp.

unsigned int Document::documentNumber | ( |  | ) | const

Returns the global number of this document in your app.

Definition at line 119 of file ktexteditor.cpp.

The documentation for this class was generated from the following files:

- document.h
- ktexteditor.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys